Package org.zeromq

# Class ZMQQueue

java.lang.Object
org.zeromq.ZMQQueue

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Runnable`

public class ZMQQueue extends Object implements Runnable, Closeable
ZeroMQ Queue Device implementation.

## Constructor Summary

Constructors
Constructor
Description
`ZMQQueue(ZMQ.Context context, ZMQ.Socket inSocket, ZMQ.Socket outSocket)`
Class constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Unregisters input and output sockets.
`void`
`run()`
Queuing of requests and replies.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZMQQueue

public ZMQQueue(ZMQ.Context context, ZMQ.Socket inSocket, ZMQ.Socket outSocket)
Class constructor.

Parameters:
  `context` - a 0MQ context previously created.
  `inSocket` - input socket
  `outSocket` - output socket

## Method Details

### run

public void run()
Queuing of requests and replies.

Specified by:
  `run` in interface `Runnable`

### close

public void close() throws IOException
Unregisters input and output sockets.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`